#!/bin/bash
# Copyright (c) 2005-2011 Userful Corporation.  All rights reserved.
#
#
#
#
logfile="/var/log/userful-start.log"
ProgramName=`basename $0`
SCREEN_NUM=$1
SCREEN_NUM=${SCREEN_NUM##*:}
SCREEN_NUM=${SCREEN_NUM/.*}
ACTION=$2
CURRENT_USER=$3
STATION_STR="Srn:$SCREEN_NUM.0"
ALSA_DEV_NAME=`grep $STATION_STR /etc/usbaudio | awk '{print $2}'`
if [ "$ALSA_DEV_NAME" == "" ]; then
if [ "$ACTION" == "OPEN_SESSION" ]; then
echo "`date +"%b %d %T"` $ProgramName:(Login) No audio device available for DISPLAY=:$SCREEN_NUM" >> $logfile
fi
else
ALSA_DEV_NUM=`echo $ALSA_DEV_NAME | sed 's/^...//g'`
if [ "$ACTION" == "OPEN_SESSION" -a "x$ALSA_DEV_NUM" != "x" ]; then
echo "`date +"%b %d %T"` $ProgramName:(Login) Assign alsa $ALSA_DEV_NAME to `id -u $CURRENT_USER`, DISPLAY=:$SCREEN_NUM" >> $logfile
chmod 1777 /dev/shm
if [ $ALSA_DEV_NUM -eq 0 ]; then
/opt/userful/bin/multistation-audio-update-device.sh $CURRENT_USER
fi
/opt/userful/bin/multistation-audio-update-device.sh $CURRENT_USER $ALSA_DEV_NUM
chmod 666 /dev/snd/seq /dev/snd/timer 2> /dev/null
elif [ "$ACTION" = "CLOSE_SESSION" -a "x$ALSA_DEV_NUM" != "x" ]; then
if [ $ALSA_DEV_NUM -eq 0 ]; then
/opt/userful/bin/multistation-audio-update-device.sh root
fi
/opt/userful/bin/multistation-audio-update-device.sh root $ALSA_DEV_NUM
pkill -U $CURRENT_USER esd 2> /dev/null
pkill -U $CURRENT_USER pulseaudio 2> /dev/null
fi
fi
