#!/bin/bash
# Copyright (c) 2005-2011 Userful Corporation.  All rights reserved.
#
#
#
function check_arch()
{
case $(uname -m) in
x86_64|ia64)
echo "lib64"
;;
*)
echo "lib"
;;
esac
}
LIB=$(check_arch)
#
if [ -d /usr/share/hal/fdi/policy/20thirdparty ]; then #FC6, SLED10, Ubuntu 6.10
cp -f /etc/userful/setup/99-userful-multimedia-policy.fdi /usr/share/hal/fdi/policy/20thirdparty
fi
#
if [ -f /usr/share/hal/fdi/policy/10osvendor/80-resmgr.fdi ]; then
if [ ! -f /usr/share/hal/fdi/policy/10osvendor/80-resmgr.fdi.multi-save ]; then
pushd /usr/share/hal/fdi/policy/10osvendor/ > /dev/null
cp 80-resmgr.fdi 80-resmgr.fdi.multi-save
cat /etc/userful/setup/suse-resmgr-fdi.patch | patch -p0 > /dev/null 2>&1
popd > /dev/null
fi
fi
if [ -d /usr/$LIB/hal/scripts ]; then #FC6, SLED10, Debian4.0, openSuSE10.2
ln -sf /opt/userful/bin/multistation-audio-hotplug.sh /usr/$LIB/hal/scripts/multistation-audio-hotplug.sh
elif [ -d /usr/share/hal/scripts ]; then #Ubuntu6.10
ln -sf /opt/userful/bin/multistation-audio-hotplug.sh /usr/share/hal/scripts/multistation-audio-hotplug.sh
fi
/opt/userful/bin/multistation-audio-config.sh -install
